Subject: [PATCH 3/6] sky2: allow 88E8056

From: Stephen Hemminger <[email-masked]>
Date: Tue, 15 May 2007 15:08:24 -0700

It looks like the problems of Gigabyte 88E8056 are unique to that chip
motherboard and maybe fixable by EEPROM update.

Signed-off-by: Stephen Hemminger <[email-masked]>

---
 drivers/net/sky2.c |    3 ---
 1 file changed, 3 deletions(-)

--- linux-2.6.21.y.orig/drivers/net/sky2.c	2007-05-15 09:06:58.000000000 -0700
+++ linux-2.6.21.y/drivers/net/sky2.c	2007-05-15 09:07:11.000000000 -0700
@@ -123,10 +123,7 @@ static const struct pci_device_id sky2_i
 	{ PCI_DEVICE(PCI_VENDOR_ID_MARVELL, 0x4361) }, /* 88E8050 */
 	{ PCI_DEVICE(PCI_VENDOR_ID_MARVELL, 0x4362) }, /* 88E8053 */
 	{ PCI_DEVICE(PCI_VENDOR_ID_MARVELL, 0x4363) }, /* 88E8055 */
-#ifdef broken
-	/* This device causes data corruption problems that are not resolved */
 	{ PCI_DEVICE(PCI_VENDOR_ID_MARVELL, 0x4364) }, /* 88E8056 */
-#endif
 	{ PCI_DEVICE(PCI_VENDOR_ID_MARVELL, 0x4366) }, /* 88EC036 */
 	{ PCI_DEVICE(PCI_VENDOR_ID_MARVELL, 0x4367) }, /* 88EC032 */
 	{ PCI_DEVICE(PCI_VENDOR_ID_MARVELL, 0x4368) }, /* 88EC034 */

--
Stephen Hemminger <[email-masked]>